import { GetJSON, PostJSON, Delete } from "../util/axios";

export function batchAddTagResource(payload) {
  return PostJSON("/tagger/tagResource/batchAddTagResource", payload);
}

export function deleteTagResource(payload) {
  return Delete("/tagger/tagResource/deleteTagResource", payload);
}

export function getResourceTagIn(payload) {
  return PostJSON("/tagger/tagResource/getResourceTagIn", payload);
}

export function batchAddTagResourceByTagList(payload) {
  return PostJSON("/tagger/tagResource/batchAddTagResourceByTagList", payload)
}

export function getTagByKeywordAndCreator(payload) {
  return GetJSON("/tagger/tag/getTagByKeywordAndCreator", payload);
}

export function getSupportTagForm(payload) {
  return GetJSON("/tagger/tag/getSupportTagForm", payload);
}

export function saveTag(payload) {
  return PostJSON("/tagger/tag/saveTag", payload);
}

export function getTagIdListByNameList(payload) {
  return PostJSON("/tagger/tag/getTagIdListByNameList", payload);
}
